FROM node:21-alpine

# Install necessary packages
RUN apk add --no-cache \
    git \
    git-lfs \
    tar \
    rclone \
    openssh \
    bash

# Install PNPM globally
RUN npm install -g pnpm

# Display installed versions
RUN node --version && \
    npm --version && \
    tar --version && \
    git --version && \
    git-lfs version && \
    pnpm --version
